<?php
/*
Plugin Name: body_class++
Plugin URI: http://digwp.com/
Description: Extends the functionality of body_class().
Author: Jeff Starr and Peter Kahoun
Version: 0.2
Author URI: http://perishablepress.com/
*/


/**
 * @todo could and should be rewritten to be able to add/remove own classes simpler
 */
function body_class_plus($classes) { 
	
	$classes_to_check = $classes;
	
	foreach ($classes_to_check as $class) {

		if (false !== strpos($class, 'services')  AND  !in_array('my-services', $classes))
			$classes[] = 'my-services';
		
		elseif (false !== strpos($class, 'products')  AND  !in_array('my-products', $classes))
			$classes[] = 'my-products';
			
		elseif (false !== strpos($class, 'business')  AND  !in_array('my-business', $classes))
			$classes[] = 'my-business';
		
		elseif (false !== strpos($class, 'pleasure')  AND  !in_array('my-pleasure', $classes))
			$classes[] = 'my-pleasure';
	
	}
	
	return $classes;
}

add_filter('body_class', 'body_class_plus');